Skip to main content
POST
/
apps
/
sw-sapien
/
v1
/
entry
/
{silo_entry_id}
/
certificate
cURL
curl --request POST \
  --url https://api.invopop.com/apps/sw-sapien/v1/entry/{silo_entry_id}/certificate \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "cer_file": "aSDinaTvuI8gbWludGxpZnk=",
  "key_file": "aSDinaTvuI8gbWludGxpZnk=",
  "password": "<string>"
}
'
{
  "message": "<string>"
}
Upload the e.firma (FIEL) certificate, private key, and password for a party that has been registered with SW Sapienโ€™s Efisco service. This endpoint provides a programmatic alternative to the web-based registration form. The e.firma certificate is required to authorize bulk CFDI downloads from SAT on behalf of the party. The certificate files and password are securely forwarded to SW Sapienโ€™s Efisco service.

Authorizations

Authorization
string
header
required

Use the Bearer scheme with a valid JWT token to authenticate requests.

Example: Authorization: Bearer <token>

Path Parameters

silo_entry_id
string
required

ID of the party silo entry to upload the certificate for.

Example:

"5b45453c-cdd0-11ed-afa1-0242ac120002"

Body

application/json
cer_file
string<byte>
required

Base64 encoded e.firma certificate file (.cer) issued by SAT.

key_file
string<byte>
required

Base64 encoded e.firma private key file (.key). The private key must match the certificate.

password
string
required

The password for the e.firma private key.

Response

Certificate uploaded successfully.